### Class

# Foundry VcsReference

#### Description

    abstract class Foundry.VcsReference : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitReference

#### Instance methods

###### foundry_vcs_reference_dup_id

No description available.

###### foundry_vcs_reference_dup_title

No description available.

###### foundry_vcs_reference_is_symbolic

No description available.

###### foundry_vcs_reference_load_commit

No description available.

###### foundry_vcs_reference_resolve

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsReference:id

No description available.

###### Foundry.VcsReference:is-symbolic

No description available.

###### Foundry.VcsReference:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsReferenceClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryVcsReference* self
      );
      char* (* dup_title) (
        FoundryVcsReference* self
      );
      gboolean (* is_symbolic) (
        FoundryVcsReference* self
      );
      DexFuture* (* resolve) (
        FoundryVcsReference* self
      );
      DexFuture* (* load_commit) (
        FoundryVcsReference* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryVcsReference* self )`

  No description available.

`dup_title: char* (* dup_title) ( FoundryVcsReference* self )`

  No description available.

`is_symbolic: gboolean (* is_symbolic) ( FoundryVcsReference* self )`

  No description available.

`resolve: DexFuture* (* resolve) ( FoundryVcsReference* self )`

  No description available.

`load_commit: DexFuture* (* load_commit) ( FoundryVcsReference* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsReferenceClass.dup_id

No description available.

###### Foundry.VcsReferenceClass.dup_title

No description available.

###### Foundry.VcsReferenceClass.is_symbolic

No description available.

###### Foundry.VcsReferenceClass.load_commit

No description available.

###### Foundry.VcsReferenceClass.resolve

No description available.